/* Run perl with -w from PATH */

'@echo off'
call RxFuncAdd 'SysLoadfuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
parse arg arguments
opts = ''
script = ''
rest = ''
do i=1 to words(arguments)
  wd = word(arguments, i)
  if substr(wd, 1, 1) \= '-' then leave
end
if i > words(arguments) then do
  Say 'Perl script not specified'
  exit 8
end
if i > 1 then do
  j = wordindex(arguments, i)
  opts = strip(substr(arguments, 1, j-1))
end
script = word(arguments, i)
if i < words(arguments) then do
  j = wordindex(arguments, i+1)
  rest = substr(arguments, j)
end
parse value filespec('n', script) with name '.' ext
if ext = '' then script = script || '.pl'
scriptname = SysSearchPath('PATH', script)
if scriptname = '' then do
  Say 'REXX Error: cannot find' script
  exit 8
end
'perl5' opts scriptname rest
