#!perl5

# Link checker main file (discovers broken links)
# (C) Z. Wagner -- Ice Bear Soft, 31 Dec 1998
# Last modification: 28 Dec 1999

# Since version 1.0c almost all functionality is moved to IceBearSoft::Linkchecker.pm
# Thus linkcheck.pl will hopefully remain unchanged

use IceBearSoft::Linkchecker;
$| = 1;  # no buffers

# Instantiate the Link Checker
$checker = new IceBearSoft::Linkchecker;
if ($ENV{'PATH_INFO'}) {
  $checker->{'LinkChecker-Help-Window'} = 'http://'.$ENV{'SERVER_NAME'}.$ENV{'PATH_INFO'};
}

# You can change HTTP timeout by:
$checker->{'http'}->{'read-timeout'} = 60;
# ... but do it on your own risk...

# Call it
$checker->go;
